Bug 883338 - Missing #include <locale.h> in fuse/guestmount.c
Summary: Missing #include <locale.h> in fuse/guestmount.c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-12-04 10:51 UTC by Richard W.M. Jones
Modified: 2013-02-21 08:39 UTC (History)
4 users (show)

Fixed In Version: libguestfs-1.16.34-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:39:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0324 0 normal SHIPPED_LIVE libguestfs bug fix and enhancement update 2013-02-20 20:54:42 UTC

Description Richard W.M. Jones 2012-12-04 10:51:33 UTC
Description of problem:

When the mount-local code was backported from upstream (bug 830135)
we missed the following patch:

https://github.com/libguestfs/libguestfs/commit/d9f77f214bb8448139792c5a871dca2dfe9845db

For some reason this doesn't affect normal builds, not sure why,
but it does break code coverage analysis.
(http://pastebin.test.redhat.com/118290)

Version-Release number of selected component (if applicable):

libguestfs 1.16 from RHEL 6

Comment 1 Richard W.M. Jones 2012-12-04 14:38:35 UTC
Building here:

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=5157767

Note that I also took this opportunity to rebase along
the stable-1.16 branch.  This just pulls in a few fixes
from upstream.

Comment 2 Richard W.M. Jones 2012-12-04 15:27:54 UTC
Stupid buildroot overrides.  Trying again here:

https://brewweb.devel.redhat.com/taskinfo?taskID=5158271

Comment 3 Richard W.M. Jones 2012-12-04 16:41:02 UTC
The brew builder seems to keep hitting bug 883463 in yum.
It doesn't happen for me locally.

Comment 4 Richard W.M. Jones 2012-12-04 18:54:56 UTC
I added a workaround for the yum bug, so here's another build:

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=5159460

Comment 5 Richard W.M. Jones 2012-12-04 21:14:32 UTC
QA of this package just involves looking at the
prepped-out source and checking that the file
fuse/guestmount.c contains a line:

#include <locale.h>

-----

ie:

$ rhpkg prep
[lots of output]
$ grep include.*locale libguestfs-1.16.34/fuse/guestmount.c 
#include <locale.h>

Comment 6 Richard W.M. Jones 2012-12-04 21:30:16 UTC
Seems to be a problem in brew, see:
https://bugzilla.redhat.com/show_bug.cgi?id=883559

Comment 7 Mohua Li 2012-12-06 08:29:14 UTC
could compile libguestfs 34-1 with code coverage CFLAGS & LDFALGS succeed, without the locale error, and no side effect involved, pls see jobs below, 

https://virtlab.englab.nay.redhat.com/job/59920/details/
https://virtlab.englab.nay.redhat.com/job/59919/details/
https://virtlab.englab.nay.redhat.com/job/59923/details/
https://virtlab.englab.nay.redhat.com/job/59947/details/

Comment 8 Richard W.M. Jones 2012-12-06 10:00:00 UTC
Sorry, but the -1 build was broken because of bug 883559.
I have just built and uploaded a -2 build which fixes that.
Setting the bug back to MODIFIED.

Comment 12 Mohua Li 2012-12-07 03:44:43 UTC
have a basic test against -2 build, the basic function is fine, and according to comment 7, verified this bug,

Comment 14 errata-xmlrpc 2013-02-21 08:39:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0324.html


Note You need to log in before you can comment on or make changes to this bug.